<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Star</title>
</head>
<body>
    <div>
        별찍기
    </div>
    <script>
        do
        {
            var star = prompt("별 갯수를 입력하세요!");
            var starNum = Number(star);
        }
        while ( isNaN(starNum) || starNum <= 0 );

        var char = "";
        var p = starNum - 1;
        for ( var i = 1; i <= starNum; i++ ) {
            
            for ( var j = 0; j < ( 2 * starNum - 1 ); j++ ) {
                
                if ( i == 1 ) {
                    if ( j == starNum - i ) {
                        char += "*";
                    } else {
                        char += " ";
                    }
                } else {
                    if ( j == starNum - i || j == p ) {
                        
                        char += "*";
                    } else {
                        char += " ";
                    }
                }
                
                         
            }
            p += 1;
            console.log(char);
            char = ""
        }
        
    </script>
</body>
</html>